<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Lehrplan\FilterKurstageUebersicht;

class FilterKurstageUebersichtPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new FilterKurstageUebersichtView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new FilterKurstageUebersichtViewModel();
    $filterVon = $this->useCaseResponse->kurstagFilterVon;
    $filterBis = $this->useCaseResponse->kurstagFilterBis;

    $viewModel->datum_von = $filterVon->datum;
    $viewModel->datum_bis = $filterBis->datum;
    
    
    $viewModel->uhrzeit_von = $filterVon->zeit_ende;
    $viewModel->uhrzeit_bis = $filterBis->zeit_beg;

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array(
      $this->getJsFileFromSys('doz_lehrplan.js')
    );
  }
}